## libdebconf-ruby 0.0.5

=== examples/Makefile ===
TEMPLATES = test.rb.templates.ja

test.rb.templates: $(TEMPLATES)
	debconf-mergetemplate $(TEMPLATES) > test.rb.templates

clean:
	rm -f test.rb.templates	*~

=== debian/changelog ===
libdebconf-ruby (0.0.5) unstable; urgency=low

  * Added a Japanese templates file for test.rb.

 -- Masato Taruishi <taru@debian.org>  Sun, 14 Jan 2001 23:04:16 +0900

libdebconf-ruby (0.0.4) unstable; urgency=low

  * Improved an example program.
  * Now work 'go' method correctly.

 -- Masato Taruishi <taru@debian.org>  Sun, 14 Jan 2001 16:47:10 +0900

libdebconf-ruby (0.0.3) unstable; urgency=low

  * Fixed missing a library.

 -- Masato Taruishi <taru@debian.org>  Sat, 13 Jan 2001 20:35:09 +0900

libdebconf-ruby (0.0.2) unstable; urgency=low

  * Now saving stdout/stdin's descripters before "exec frontend".
  * Implemented some exception classes.

 -- Masato Taruishi <taru@debian.org>  Sat, 16 Dec 2000 02:19:36 +0900

libdebconf-ruby (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Masato Taruishi <taru@debian.org>  Thu, 14 Dec 2000 21:41:09 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libdebconf-ruby
Section: admin
Priority: optional
Maintainer: Masato Taruishi <taru@debian.org>
Build-Depends: debhelper
Standards-Version: 3.1.1

Package: libdebconf-client-ruby
Architecture: all
Depends: ruby, debconf
Description: uses debconf from Ruby
 Debconf is a configuration management system for debian packages.
 libdebconf-client-ruby is a client module library which can communicate
 debconf from ruby script to ask questions to users.
 .
 Note that this package isn't intended to access a debconf databse directly,
 but ask questions to users.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C examples
	#/usr/bin/docbook-to-man debian/libdebconf-ruby.sgml > libdebconf-ruby.1
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -C examples clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	# $(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -d debian/tmp/usr/lib/ruby/1.6/debconf/
	install -o root -g root -m 644 debconf/* \
		debian/tmp/usr/lib/ruby/1.6/debconf/

	dh_movefiles

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
